<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_282) on Wed Apr 21 14:40:18 CEST 2021 -->
<title>BidListController</title>
<meta name="date" content="2021-04-21">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BidListController";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../com/nnk/springboot/controllers/BidListControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/nnk/springboot/controllers/BidListController.html" target="_top">Frames</a></li>
<li><a href="BidListController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.nnk.springboot.controllers</div>
<h2 title="Class BidListController" class="title">Class BidListController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.nnk.springboot.controllers.BidListController</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>@PreAuthorize(value="hasAnyRole(\'ADMIN\',\'USER\')")
 @Controller
public class <span class="typeNameLabel">BidListController</span>
extends java.lang.Object</pre>
<div class="block">The Bid list controller.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/controllers/BidListController.html#BidListController--">BidListController</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/controllers/BidListController.html#addBidForm-org.springframework.ui.Model-">addBidForm</a></span>(org.springframework.ui.Model&nbsp;model)</code>
<div class="block">Add bid form.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/controllers/BidListController.html#deleteBid-java.lang.Integer-">deleteBid</a></span>(java.lang.Integer&nbsp;id)</code>
<div class="block">Delete bid list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/controllers/BidListController.html#home-org.springframework.ui.Model-org.springframework.security.oauth2.core.user.OAuth2User-">home</a></span>(org.springframework.ui.Model&nbsp;model,
    org.springframework.security.oauth2.core.user.OAuth2User&nbsp;principal)</code>
<div class="block">Bid list home.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/controllers/BidListController.html#showUpdateForm-java.lang.Integer-org.springframework.ui.Model-">showUpdateForm</a></span>(java.lang.Integer&nbsp;id,
              org.springframework.ui.Model&nbsp;model)</code>
<div class="block">Update Bid list form.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/controllers/BidListController.html#updateBid-java.lang.Integer-com.nnk.springboot.domain.BidList-org.springframework.validation.BindingResult-org.springframework.ui.Model-">updateBid</a></span>(java.lang.Integer&nbsp;id,
         @Valid <a href="../../../../com/nnk/springboot/domain/BidList.html" title="class in com.nnk.springboot.domain">BidList</a>&nbsp;bidList,
         org.springframework.validation.BindingResult&nbsp;result,
         org.springframework.ui.Model&nbsp;model)</code>
<div class="block">Update bid list.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/nnk/springboot/controllers/BidListController.html#validate-com.nnk.springboot.domain.BidList-org.springframework.validation.BindingResult-">validate</a></span>(@Valid <a href="../../../../com/nnk/springboot/domain/BidList.html" title="class in com.nnk.springboot.domain">BidList</a>&nbsp;bid,
        org.springframework.validation.BindingResult&nbsp;result)</code>
<div class="block">Add bid list.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BidListController--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BidListController</h4>
<pre>public&nbsp;BidListController()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="home-org.springframework.ui.Model-org.springframework.security.oauth2.core.user.OAuth2User-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>home</h4>
<pre>@RequestMapping(value="/bidList/list")
public&nbsp;java.lang.String&nbsp;home(org.springframework.ui.Model&nbsp;model,
                                                                     @AuthenticationPrincipal
                                                                     org.springframework.security.oauth2.core.user.OAuth2User&nbsp;principal)</pre>
<div class="block">Bid list home.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>model</code> - the model</dd>
<dd><code>principal</code> - the OAuth2 user authenticated</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>bid list view</dd>
</dl>
</li>
</ul>
<a name="addBidForm-org.springframework.ui.Model-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addBidForm</h4>
<pre>@GetMapping(value="/bidList/add")
public&nbsp;java.lang.String&nbsp;addBidForm(org.springframework.ui.Model&nbsp;model)</pre>
<div class="block">Add bid form.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>model</code> - the model</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>bid list add form view</dd>
</dl>
</li>
</ul>
<a name="validate-com.nnk.springboot.domain.BidList-org.springframework.validation.BindingResult-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validate</h4>
<pre>@PostMapping(value="/bidList/validate")
public&nbsp;java.lang.String&nbsp;validate(@Valid @ModelAttribute(value="bidList")
                                                                          @Valid <a href="../../../../com/nnk/springboot/domain/BidList.html" title="class in com.nnk.springboot.domain">BidList</a>&nbsp;bid,
                                                                          org.springframework.validation.BindingResult&nbsp;result)</pre>
<div class="block">Add bid list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bid</code> - the bid</dd>
<dd><code>result</code> - the result</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>either add form view if BindingResult has error or redirect to bid list view if is valid</dd>
</dl>
</li>
</ul>
<a name="showUpdateForm-java.lang.Integer-org.springframework.ui.Model-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>showUpdateForm</h4>
<pre>@GetMapping(value="/bidList/update/{id}")
public&nbsp;java.lang.String&nbsp;showUpdateForm(@PathVariable(value="id")
                                                                                  java.lang.Integer&nbsp;id,
                                                                                  org.springframework.ui.Model&nbsp;model)</pre>
<div class="block">Update Bid list form.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - the bid list id to update</dd>
<dd><code>model</code> - the model</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>bid list update form view</dd>
</dl>
</li>
</ul>
<a name="updateBid-java.lang.Integer-com.nnk.springboot.domain.BidList-org.springframework.validation.BindingResult-org.springframework.ui.Model-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateBid</h4>
<pre>@PostMapping(value="/bidList/update/{id}")
public&nbsp;java.lang.String&nbsp;updateBid(@PathVariable(value="id")
                                                                              java.lang.Integer&nbsp;id,
                                                                              @Valid
                                                                              @Valid <a href="../../../../com/nnk/springboot/domain/BidList.html" title="class in com.nnk.springboot.domain">BidList</a>&nbsp;bidList,
                                                                              org.springframework.validation.BindingResult&nbsp;result,
                                                                              org.springframework.ui.Model&nbsp;model)</pre>
<div class="block">Update bid list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - the bid list id to update</dd>
<dd><code>bidList</code> - the bid list</dd>
<dd><code>result</code> - the result</dd>
<dd><code>model</code> - the model</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>either update form view if BindingResult has error or redirect to bid list view if is valid</dd>
</dl>
</li>
</ul>
<a name="deleteBid-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deleteBid</h4>
<pre>@GetMapping(value="/bidList/delete/{id}")
public&nbsp;java.lang.String&nbsp;deleteBid(@PathVariable(value="id")
                                                                             java.lang.Integer&nbsp;id)</pre>
<div class="block">Delete bid list.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - the bid list id to delete</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>redirect to bid list form view</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../com/nnk/springboot/controllers/BidListControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/nnk/springboot/controllers/BidListController.html" target="_top">Frames</a></li>
<li><a href="BidListController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
